import request from '@/utils/request'

// 查询应用列列表
export function listList(query) {
  return request({
    url: '/index/list/list',
    method: 'get',
    params: query
  })
}

// 查询应用列详细
export function getList(id) {
  return request({
    url: '/index/list/' + id,
    method: 'get'
  })
}

// 新增应用列
export function addList(data) {
  return request({
    url: '/index/list',
    method: 'post',
    data: data
  })
}

// 修改应用列
export function updateList(data) {
  return request({
    url: '/index/list',
    method: 'put',
    data: data
  })
}

// 删除应用列
export function delList(id) {
  return request({
    url: '/index/list/' + id,
    method: 'delete'
  })
}
